## EvDocumentAttachments EvDocumentAttachments |

## Functions

#define | EV_DOCUMENT_ATTACHMENTS_IFACE()
#define | EV_IS_DOCUMENT_ATTACHMENTS_IFACE()
gboolean | ev_document_attachments_has_attachments ()
GList * | ev_document_attachments_get_attachments ()

## Types and Values

| EvDocumentAttachments

## Object Hierarchy

        GInterface
        ╰── EvDocumentAttachments

## Description

## Functions

### EV_DOCUMENT_ATTACHMENTS_IFACE()

    #define EV_DOCUMENT_ATTACHMENTS_IFACE(k) (G_TYPE_CHECK_CLASS_CAST((k), EV_TYPE_DOCUMENT_ATTACHMENTS, EvDocumentAttachmentsInterface))

### EV_IS_DOCUMENT_ATTACHMENTS_IFACE()

    #define EV_IS_DOCUMENT_ATTACHMENTS_IFACE(k) (G_TYPE_CHECK_CLASS_TYPE ((k), EV_TYPE_DOCUMENT_ATTACHMENTS))

### ev_document_attachments_has_attachments ()

    gboolean
    ev_document_attachments_has_attachments
                                   (EvDocumentAttachments *document_attachments);

### ev_document_attachments_get_attachments ()

    GList *
    ev_document_attachments_get_attachments
                                   (EvDocumentAttachments *document_attachments);

#### Parameters

document_attachments | an EvDocumentAttachments |

#### Returns

a list of EvAttachment objects.

[transfer full][element-type EvAttachment]

## Types and Values

### EvDocumentAttachments

    typedef struct _EvDocumentAttachments EvDocumentAttachments;